Page MenuHomePhabricator

Further cleanup of #Deployment-Systems
Closed, ResolvedPublic

Description

In T126261 I created Scap and Trebuchet and moved a bunch of tasks from Deployments to them.

Now I'm looking at Deployments and it looks like we're left with these categories of tasks:

This can be 'cleaned up' via a couple options:

  • Use columns in Deployments to categorize them
  • Create a few more projects.
  • ...

Working proposal
After discussion on this task here's the current working plan (not yet set in stone):

Event Timeline

greg created this task.Feb 11 2016, 5:41 PM
greg raised the priority of this task from to Needs Triage.
greg updated the task description. (Show Details)
greg added a project: Project-Admins.
greg added a subscriber: greg.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptFeb 11 2016, 5:41 PM
Luke081515 triaged this task as Normal priority.Feb 12 2016, 7:33 PM
Luke081515 added a subscriber: Luke081515.

We could use actual sub-projects now

greg added a comment.Feb 24 2016, 12:20 AM

Not a bad idea.....

tasks regarding the scripts in mediawiki/tools/release (aka: rMREL MediaWiki Release Tools)

tasks about l10n (which only lives in rOPUP in the scap module)

  • l10n
    • there may be 2 tags here, localization cache in general and l10nupdate specifically.)

general process changes (not necessarily code changes) like T118212: Take heat off day before the weekly branch-cut?

  • #deployment-process

"technical things related to deployments generally"

Or, we rename deployment-systems to Deployments and move software related things into specific sub-projects like Scap, #l10n, etc....

greg added a comment.Feb 24 2016, 12:39 AM

I like your last proposal.

greg added a comment.Feb 29 2016, 6:09 PM

Or, we rename deployment-systems to Deployments and move software related things into specific sub-projects like Scap, #l10n, etc....

I like this, as I said, the only concern I still have is what to call the 'catch-all' sub-project (my understanding, correct me if I'm wrong, is that once you have sub-projects, no tasks can exist in only the parent project). Deployments -> ???

greg moved this task from Backlog to Next on the User-greg board.
greg lowered the priority of this task from Normal to Low.Mar 22 2016, 8:45 PM
greg set Security to None.
greg added a comment.Mar 29 2016, 6:15 PM

Or, we rename deployment-systems to Deployments and move software related things into specific sub-projects like Scap, #l10n, etc....

I like this, as I said, the only concern I still have is what to call the 'catch-all' sub-project (my understanding, correct me if I'm wrong, is that once you have sub-projects, no tasks can exist in only the parent project). Deployments -> ???

This was a misunderstanding on my part. Tasks can remain in the top-level project even with sub-projects and milestones.

So, summary of plan (as I understand it):

Does that make sense? Help with scap/scap3 questions, please!

Does that make sense? Help with scap/scap3 questions, please!

pinging @mmodell @thcipriani @demon @dduvall :)

greg updated the task description. (Show Details)Apr 1 2016, 11:46 PM
greg added a project: Deployments.

(I updated the description with the current working theory as I had in my head.)

Does that make sense? Help with scap/scap3 questions, please!

Merging Scap and Scap seems like a good thing to do. It's currently a confusing split. This work would require some triage, but, as you said, that's probably a good thing.

The logistics of this worry me a bit, since the Scap workboard contains a couple milestones: Scap (Scap3-Adoption-Phase1)
Scap (Scap3-MediaWiki-MVP) and #scap3-adoption-phase2. Also, If it matters, the state of the Scap workboard is currently much cleaner than the existing Scap workboard (which currently only contains the column "Backlog"). Ideally, we could just move all the tasks exclusive to Scap into the Scap project and repurpose Scap. Not sure how that would be achieved.

greg added a comment.Apr 4 2016, 8:55 PM

Luckily there's only 41 tasks in scap that aren't in any scap3 project:
https://phabricator.wikimedia.org/maniphest/query/6sRUmqnn8ado/#R

/me looks to see if any are easily closable

greg updated the task description. (Show Details)Apr 8 2016, 10:34 PM
greg moved this task from Next to Backlog on the User-greg board.Jun 11 2016, 6:49 AM
greg moved this task from Backlog to Needs Review / Blocked / Waiting on the User-greg board.
greg updated the task description. (Show Details)Sep 26 2017, 10:42 PM
greg updated the task description. (Show Details)Sep 26 2017, 10:46 PM
greg updated the task description. (Show Details)Sep 26 2017, 11:30 PM
greg claimed this task.Sep 26 2017, 11:37 PM
greg moved this task from Needs Review / Blocked / Waiting to In Progress on the User-greg board.

Just did a few things:

  • renamed Deployment-Systems to Deployments
  • Made a MediaWiki-Release-Tools sub-project, moved a bunch of tasks to it
  • Cleaned up the Deployments workboard.
    • To Triage, Backlog (Tech), Backlog (Process), Localization
  • Cleaned up the To Triage column down to one, that will probably be closed :)

Things left to do:

  • Make Scap a sub-project of Deployments (?)
  • The always unclear issue of "how to manage the l10n tasks"
greg added a comment.Oct 2 2017, 9:43 PM

Things left to do:

@mmodell said he'll do that, but there is no rush.

Things left to do:

Done

greg closed this task as Resolved.Oct 4 2017, 5:44 PM
greg updated the task description. (Show Details)

I'm calling this done. The issue of i18n/l10n is out of scope. The workboards/etc are in a much better place now.